# $Revision: 1.38 $, $Date: 2011/07/15 17:05:05 $
# TODO:
# - examples and docs for python3
# - builds, but got syntax errors when buildings
#
%bcond_without	python3
%bcond_without	python2
%define		module  SQLAlchemy
#
Summary:	Database Abstraction Library
Summary(pl.UTF-8):	Biblioteka abstrakcji baz danych
Name:		python-%{module}
Version:	0.6.8
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/sqlalchemy/%{module}-%{version}.tar.gz
# Source0-md5:	af56550a6eb8b7a8874b02c97407d73c
URL:		http://www.sqlalchemy.org/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	python-distribute
BuildRequires:	python-setuptools >= 0.6-0.a9.1
%endif
%if %{with python3}
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%if %{with python2}
%pyrequires_eq  python-modules
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Python SQL toolkit and Object Relational Mapper that gives
application developers the full power and flexibility of SQL.
SQLAlchemy provides a full suite of well known enterprise-level
persistence patterns, designed for efficient and high-performing
database access, adapted into a simple and Pythonic domain language.

Python 2.x version.

%description -l pl.UTF-8
Zestaw narzędzi SQL dla Pythona oraz odwzorowań obiektowo-relacyjnych
dających programistom całą potęgę i elastyczność SQL-a. SQLAlchemy
udostępnia pełny zbiór dobrze znanych wzorców trwałości,
zaprojektowanych do wydajnego dostępu do baz danych, zaadoptowanych do
prostej, pythonowej domeny językowej.

Wersja dla pythona 2.x.

%package -n python3-%{module}
Summary:	Database Abstraction Library
Summary(pl.UTF-8):	Biblioteka abstrakcji baz danych
Group:		Libraries/Python

%description -n python3-%{module}
The Python SQL toolkit and Object Relational Mapper that gives
application developers the full power and flexibility of SQL.
SQLAlchemy provides a full suite of well known enterprise-level
persistence patterns, designed for efficient and high-performing
database access, adapted into a simple and Pythonic domain language.

Python 3.x version.

%description -n python3-%{module} -l pl.UTF-8
Zestaw narzędzi SQL dla Pythona oraz odwzorowań obiektowo-relacyjnych
dających programistom całą potęgę i elastyczność SQL-a. SQLAlchemy
udostępnia pełny zbiór dobrze znanych wzorców trwałości,
zaprojektowanych do wydajnego dostępu do baz danych, zaadoptowanych do
prostej, pythonowej domeny językowej.

Wersja dla Pythona 3.x.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%{__python} setup.py build -b build-2
%endif
%if %{with python3}
%{__python3} setup.py build -b build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%{__python} setup.py build -b build-2 \
	install \
	--single-version-externally-managed \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py build -b build-3 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
%endif

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README* doc/*.html
%{py_sitescriptdir}/SQLAlchemy*
%{py_sitescriptdir}/sqlalchemy*
%{_examplesdir}/%{name}-%{version}

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/SQLAlchemy*
%{py3_sitescriptdir}/sqlalchemy*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog -n python-Colubrid
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-SQLAlchemy.spec,v $
Revision 1.38  2011/07/15 17:05:05  jajcus
- Version: 0.6.8
- do not remove *.py for python3

Revision 1.37  2011/04/26 07:34:31  lisu
- updated to 0.6.7

Revision 1.36  2011/02/11 15:33:45  lisu
- 0.6.6

Revision 1.35  2010/10/25 07:40:38  lisu
- 0.6.5

Revision 1.34  2010/09/08 07:00:39  lisu
- 0.6.4

Revision 1.33  2010/07/20 13:06:00  lisu
- 0.6.3

Revision 1.32  2010/07/12 14:26:26  lisu
- up to 0.6.2
- drop unrecognised option --single-version-externally-managed in python3 build
- python-distribute3 -> python-distribute
- syntax errors during build

Revision 1.31  2010/07/08 08:40:46  arekm
- release 2

Revision 1.30  2010/06/29 19:59:53  arekm
- fix without python3 build

Revision 1.29  2010/06/16 14:54:33  lisu
- 0.6.1
- %%{module} in Name
- adapter

Revision 1.28  2010/04/26 17:57:16  wiget
- BR python3-modules
- release 2

Revision 1.27  2010/04/26 17:53:00  wiget
- BR 2to3

Revision 1.26  2010/04/26 17:52:25  wiget
- python3 subpackage

Revision 1.25  2010/04/26 10:49:21  lisu
- up to 0.6.0
- merge with DEVEL

Revision 1.24.2.3  2010/03/29 11:55:16  lisu
- 0.6beta3

Revision 1.24.2.2  2010/03/22 08:33:27  lisu
- 0.6beta2

Revision 1.24.2.1  2010/02/10 14:57:40  lisu
- updated to 0.6beta1

Revision 1.24  2010/01/22 09:09:44  lisu
- 0.5.8

Revision 1.23  2009/12/28 15:05:00  lisu
- 0.5.7

Revision 1.22  2009/09/22 11:09:19  lisu
- up to 0.5.6

Revision 1.21  2009/07/15 11:07:39  lisu
- up to 0.5.5

Revision 1.20  2009/07/05 12:19:15  matkor
- Release 2. Lowered R: python-devel to 2.4. Builds and works on Ac.

Revision 1.19  2009/06/03 07:17:31  lisu
- up to 0.5.4p2

Revision 1.18  2009/03/31 13:39:24  lisu
- 0.5.3
- python >= 1:2.5 for .egg-info

Revision 1.17  2009/01/30 15:26:29  lisu
- define module name to use in spec

Revision 1.16  2009/01/29 06:13:12  qboosh
- reformatted using _proper_ locale (shouldn't adapter check for UTF-8?)

Revision 1.15  2009/01/27 10:59:49  lisu
- up to 0.5.2
- clean up

Revision 1.14  2008/11/02 20:33:48  witekfl
- up to 0.4.8

Revision 1.13  2008/10/14 06:43:11  arekm
- release 3

Revision 1.12  2008/10/03 18:01:32  arekm
- release 2

Revision 1.11  2008-05-12 20:07:52  prism
- 0.4.5, Source0 switched to SourceForge

Revision 1.10  2007-11-20 00:55:18  beorn
- Up to 0.4.1
- Group fix

Revision 1.9  2007-03-02 15:10:54  beorn
- up to 0.3.5
- example files moved to _examplesdir

Revision 1.8  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.6  2006/12/29 09:53:04  teodor
- up to 0.3.3

Revision 1.5  2006/11/28 22:07:29  qboosh
- BR: rpm-pythonprov

Revision 1.4  2006/11/20 22:08:54  emes
- upgraded to version 0.3.1

Revision 1.3  2006/05/11 22:37:50  qboosh
- pl

Revision 1.2  2006/05/07 09:43:37  glen
- adapter, typo, use macro

Revision 1.1  2006/05/07 09:14:05  radzio
- initial release
